Summary: Network monitoring application

License: GPL-2.0-or-later

Group: System/Monitoring
Name: icinga2
Version: 2.14.0+8.ge3cca711e
Release: 1689372210
Url: https://www.icinga.com/
Source: icinga2-2.14.0+8.ge3cca711e.tgz

Requires: icinga2-bin = 2.14.0+8.ge3cca711e-1689372210
Requires: icinga2-common = 2.14.0+8.ge3cca711e-1689372210

Conflicts: icinga2-common < 2.14.0+8.ge3cca711e-1689372210

%description
Meta package for Icinga 2 Core, DB IDO and Web.

%package bin
Summary: Icinga 2 binaries and libraries
Group: System/Monitoring

Requires: icinga2-bin = 2.14.0+8.ge3cca711e-1689372210

Provides: monitoring_daemon
Recommends: monitoring-plugins

BuildRequires: libyajl-devel

BuildRequires: libedit-devel
BuildRequires: ncurses-devel

BuildRequires: gcc-c++
BuildRequires: libstdc++-devel

BuildRequires: gcc-c++
BuildRequires: libstdc++-devel

BuildRequires: openssl-devel
BuildRequires: bison
BuildRequires: cmake
BuildRequires: flex >= 2.5.35
BuildRequires: make

BuildRequires: libboost_context-devel >= 1.66
BuildRequires: libboost_coroutine-devel >= 1.66
BuildRequires: libboost_filesystem-devel >= 1.66
BuildRequires: libboost_iostreams-devel >= 1.66
BuildRequires: libboost_program_options-devel >= 1.66
BuildRequires: libboost_regex-devel >= 1.66
BuildRequires: libboost_system-devel >= 1.66
BuildRequires: libboost_thread-devel >= 1.66
BuildRequires: libboost_test-devel >= 1.66

BuildRequires: systemd-devel
Requires: systemd

Obsoletes: icinga2-libs <= 2.10.0
Conflicts: icinga2-libs <= 2.10.0

%description bin
Icinga 2 is a general-purpose network monitoring application.
This subpackage provides the binaries for Icinga 2 Core.

%package common
Summary: Common Icinga 2 configuration
Group: System/Monitoring

BuildRequires: logrotate

PreReq: permissions
Provides: group(icinga)
Provides: group(icingacmd)
Provides: user(icinga)
Requires(pre): shadow
Requires(post): shadow

Requires(pre): coreutils
Requires(post): coreutils

BuildRequires: monitoring-plugins-common
Requires: monitoring-plugins-common

Recommends: logrotate

%description common
This subpackage provides common directories, and the UID and GUID definitions
among Icinga 2 related packages.

%package doc
Summary: Documentation for Icinga 2
Group: Documentation/Other

%description doc
This subpackage provides documentation for Icinga 2.

%package ido-mysql
Summary: IDO MySQL database backend for Icinga 2
Group: System/Monitoring

BuildRequires: libmysqlclient-devel

BuildRequires: mysql-devel

Requires: icinga2-bin = 2.14.0+8.ge3cca711e-1689372210

%description ido-mysql
Icinga 2 IDO mysql database backend. Compatible with Icinga 1.x
IDOUtils schema >= 1.12

%package ido-pgsql
Summary: IDO PostgreSQL database backend for Icinga 2
Group: System/Monitoring

BuildRequires: postgresql-devel

Requires: icinga2-bin = 2.14.0+8.ge3cca711e-1689372210

%description ido-pgsql
Icinga 2 IDO PostgreSQL database backend. Compatible with Icinga 1.x
IDOUtils schema >= 1.12

%package -n vim-icinga2
Summary: Vim syntax highlighting for icinga2
Group: Productivity/Text/Editors

BuildRequires: vim
Requires: vim

%description -n vim-icinga2
Provides Vim syntax highlighting for icinga2.

%package -n nano-icinga2
Summary: Nano syntax highlighting for icinga2
Group: Productivity/Text/Editors
Requires: nano

%description -n nano-icinga2
Provides Nano syntax highlighting for icinga2.

%prep
%autosetup
find . -type f -name '*.sh' -exec sed -i -e 's|\/usr\/bin\/env bash|\/bin\/bash|g' {} \;

%build
export CCACHE_BASEDIR="${CCACHE_BASEDIR:-$(pwd)}"

CMAKE_OPTS="-DCMAKE_INSTALL_PREFIX=/usr \
-DCMAKE_INSTALL_SYSCONFDIR=/etc \
-DCMAKE_INSTALL_LOCALSTATEDIR=/var \
-DCMAKE_BUILD_TYPE=RelWithDebInfo \
-DCMAKE_VERBOSE_MAKEFILE=ON \
-DBoost_NO_BOOST_CMAKE=ON \
-DICINGA2_PLUGINDIR=/usr/lib//nagios/plugins \
-DICINGA2_RUNDIR=/run \
-DICINGA2_SYSCONFIGFILE=/etc/sysconfig/icinga2 \
-DICINGA2_USER=icinga \
-DICINGA2_GROUP=icinga \
-DICINGA2_COMMAND_GROUP=icingacmd"

CMAKE_OPTS="$CMAKE_OPTS -DICINGA2_UNITY_BUILD=ON"

CMAKE_OPTS="$CMAKE_OPTS -DICINGA2_LTO_BUILD=OFF"

CMAKE_OPTS="$CMAKE_OPTS -DINSTALL_SYSTEMD_SERVICE_AND_INITSCRIPT=OFF"
CMAKE_OPTS="$CMAKE_OPTS -DICINGA2_WITH_COMPAT=ON"
CMAKE_OPTS="$CMAKE_OPTS -DICINGA2_WITH_LIVESTATUS=ON"
CMAKE_OPTS="$CMAKE_OPTS -DICINGA2_WITH_NOTIFICATION=ON"
CMAKE_OPTS="$CMAKE_OPTS -DICINGA2_WITH_PERFDATA=ON"
CMAKE_OPTS="$CMAKE_OPTS -DICINGA2_WITH_TESTS=ON"
CMAKE_OPTS="$CMAKE_OPTS -DICINGA2_WITH_MYSQL=ON"
CMAKE_OPTS="$CMAKE_OPTS -DICINGA2_WITH_PGSQL=ON"

CMAKE_OPTS="$CMAKE_OPTS -DUSE_SYSTEMD=ON"

cmake $CMAKE_OPTS -DCMAKE_C_FLAGS:STRING="-O2 -g -m64 -fmessage-length=0 -D_FORTIFY_SOURCE=2 -fstack-protector -funwind-tables -fasynchronous-unwind-tables " -DCMAKE_CXX_FLAGS:STRING="-O2 -g -m64 -fmessage-length=0 -D_FORTIFY_SOURCE=2 -fstack-protector -funwind-tables -fasynchronous-unwind-tables " .

make %_smp_mflags

%install
make install \
DESTDIR="%_topdir/BUILDROOT/icinga2-2.14.0+8.ge3cca711e-1689372210.x86_64"

install -D -m 0644 etc/initsystem/icinga2.service.limits.conf %_topdir/BUILDROOT/icinga2-2.14.0+8.ge3cca711e-1689372210.x86_64/etc/systemd/system/icinga2.service.d/limits.conf

rm -f %_topdir/BUILDROOT/icinga2-2.14.0+8.ge3cca711e-1689372210.x86_64//etc/icinga2/features-enabled/*.conf

ln -sf /usr/sbin/service %_topdir/BUILDROOT/icinga2-2.14.0+8.ge3cca711e-1689372210.x86_64/usr/sbin/rcicinga2
mkdir -p "%_topdir/BUILDROOT/icinga2-2.14.0+8.ge3cca711e-1689372210.x86_64/usr/share/fillup-templates/"
mv "%_topdir/BUILDROOT/icinga2-2.14.0+8.ge3cca711e-1689372210.x86_64/etc/sysconfig/icinga2" "%_topdir/BUILDROOT/icinga2-2.14.0+8.ge3cca711e-1689372210.x86_64/usr/share/fillup-templates/sysconfig.icinga2"

install -D -m 0644 tools/syntax/vim/syntax/icinga2.vim %_topdir/BUILDROOT/icinga2-2.14.0+8.ge3cca711e-1689372210.x86_64/usr/share/vim/site/syntax/icinga2.vim
install -D -m 0644 tools/syntax/vim/ftdetect/icinga2.vim %_topdir/BUILDROOT/icinga2-2.14.0+8.ge3cca711e-1689372210.x86_64/usr/share/vim/site/ftdetect/icinga2.vim

install -D -m 0644 tools/syntax/nano/icinga2.nanorc %_topdir/BUILDROOT/icinga2-2.14.0+8.ge3cca711e-1689372210.x86_64/usr/share/nano/icinga2.nanorc

%check
export CTEST_OUTPUT_ON_FAILURE=1
make test

%pre

if [ -x /usr/bin/systemctl ]; then
test -n "$FIRST_ARG" || FIRST_ARG="$1"
[ -d /var/lib/systemd/migrated ] || mkdir -p /var/lib/systemd/migrated || :

for service in icinga2.service ; do
sysv_service=${service%.*}

if [ ! -e /usr/lib/systemd/system/$service ] &&
[ ! -e /etc/init.d/$sysv_service ]; then
mkdir -p /run/systemd/rpm/needs-preset
touch /run/systemd/rpm/needs-preset/$service

elif [ -e /etc/init.d/$sysv_service ] &&
[ ! -e /var/lib/systemd/migrated/$sysv_service ]; then
/usr/sbin/systemd-sysv-convert --save $sysv_service || :
mkdir -p /run/systemd/rpm/needs-sysv-convert
touch /run/systemd/rpm/needs-sysv-convert/$service
fi
done
fi

%verifyscript

/usr/bin/chkstat -n --warn --system -e /run/icinga2/cmd 1>&2

%post

if [ -x /usr/bin/chkstat ]; then
/usr/bin/chkstat -n --set --system /run/icinga2/cmd
fi

PNAME=icinga2
SUBPNAME=
SYSC_TEMPLATE=/usr/share/fillup-templates/sysconfig.$PNAME$SUBPNAME
if [ ! -f $SYSC_TEMPLATE ] ; then
TEMPLATE_DIR=/var/adm/fillup-templates
SYSC_TEMPLATE=$TEMPLATE_DIR/sysconfig.$PNAME$SUBPNAME
fi
SD_NAME=""

if [ -x /bin/fillup ] ; then
if [ -f $SYSC_TEMPLATE ] ; then
echo "Updating /etc/sysconfig/$SD_NAME$PNAME ..."
mkdir -p /etc/sysconfig/$SD_NAME
touch /etc/sysconfig/$SD_NAME$PNAME
/bin/fillup -q /etc/sysconfig/$SD_NAME$PNAME $SYSC_TEMPLATE
fi
else
echo "ERROR: fillup not found. This should not happen. Please compare"
echo "/etc/sysconfig/$PNAME and $TEMPLATE_DIR/sysconfig.$PNAME and"
echo "update by hand."
fi

if [ -x /usr/bin/systemctl ]; then
test -n "$FIRST_ARG" || FIRST_ARG="$1"
[ -d /var/lib/systemd/migrated ] || mkdir -p /var/lib/systemd/migrated || :

if [ "$YAST_IS_RUNNING" != "instsys" ]; then
/usr/bin/systemctl daemon-reload || :
fi
for service in icinga2.service ; do
sysv_service=${service%.*}

if [ -e /run/systemd/rpm/needs-preset/$service ]; then
/usr/bin/systemctl preset $service || :
rm "/run/systemd/rpm/needs-preset/$service" || :

elif [ -e /run/systemd/rpm/needs-sysv-convert/$service ]; then
/usr/sbin/systemd-sysv-convert --apply $sysv_service || :
rm "/run/systemd/rpm/needs-sysv-convert/$service" || :
touch /var/lib/systemd/migrated/$sysv_service || :
fi
done
fi

if [ ${1:-0} -eq 1 ]
then
for feature in checker notification mainlog; do
ln -sf ../features-available/${feature}.conf /etc/icinga2/features-enabled/${feature}.conf
done
fi

exit 0

%preun

test -n "$FIRST_ARG" || FIRST_ARG="$1"
if [ "$FIRST_ARG" -eq 0 -a -x /usr/bin/systemctl ]; then
/usr/bin/systemctl --no-reload disable icinga2.service || :
(
test "$YAST_IS_RUNNING" = instsys && exit 0
test -f /etc/sysconfig/services -a \
-z "$DISABLE_STOP_ON_REMOVAL" && . /etc/sysconfig/services
test "$DISABLE_STOP_ON_REMOVAL" = yes -o \
"$DISABLE_STOP_ON_REMOVAL" = 1 && exit 0
/usr/bin/systemctl stop icinga2.service
) || :
fi

exit 0

%postun

test -n "$FIRST_ARG" || FIRST_ARG="$1"

if [ $1 -eq 0 ]; then
for service in icinga2.service ; do
sysv_service="${service%.*}"
rm -f "/var/lib/systemd/migrated/$sysv_service" || :
done
fi
if [ -x /usr/bin/systemctl ]; then
/usr/bin/systemctl daemon-reload || :
fi

if [ "$FIRST_ARG" -ge 1 ]; then
if [ -x /usr/bin/systemctl ]; then
(
test "$YAST_IS_RUNNING" = instsys && exit 0
test -f /etc/sysconfig/services -a \
-z "$DISABLE_RESTART_ON_UPDATE" && . /etc/sysconfig/services
test "$DISABLE_RESTART_ON_UPDATE" = yes -o \
"$DISABLE_RESTART_ON_UPDATE" = 1 && exit 0
/usr/bin/systemctl try-restart icinga2.service
) || :
fi
fi

if [ "$1" = "0" ]; then
rm -rf /etc/icinga2/features-enabled
fi

exit 0

%pre common
getent group icinga >/dev/null || /usr/sbin/groupadd -r icinga
getent group icingacmd >/dev/null || /usr/sbin/groupadd -r icingacmd
getent passwd icinga >/dev/null || /usr/sbin/useradd -c "icinga" -s /sbin/nologin -r -d /var/spool/icinga2 -G icingacmd -g icinga icinga

%verifyscript common

/usr/bin/chkstat -n --warn --system -e /run/icinga2/cmd 1>&2

%post common

if [ -x /usr/bin/chkstat ]; then
/usr/bin/chkstat -n --set --system /run/icinga2/cmd
fi

%post ido-mysql
if [ ${1:-0} -eq 1 ] && [ -e /etc/icinga2/features-enabled/ido-mysql.conf ]
then
ln -sf ../features-available/ido-mysql.conf /etc/icinga2/features-enabled/ido-mysql.conf
fi

exit 0

%postun ido-mysql
if [ "$1" = "0" ]; then
rm -f /etc/icinga2/features-enabled/ido-mysql.conf
fi

exit 0

%post ido-pgsql
if [ ${1:-0} -eq 1 ] && [ -e /etc/icinga2/features-enabled/ido-pgsql.conf ]
then
ln -sf ../features-available/ido-pgsql.conf /etc/icinga2/features-enabled/ido-pgsql.conf
fi

exit 0

%postun ido-pgsql
if [ "$1" = "0" ]; then
rm -f /etc/icinga2/features-enabled/ido-pgsql.conf
fi

exit 0

%files
%defattr(-,root,root,-)
%doc COPYING

%config(noreplace) /etc/logrotate.d/icinga2

%attr(644,root,root) /usr/lib/systemd/system/icinga2.service
%dir /etc/systemd/system/icinga2.service.d
%attr(644,root,root) %config(noreplace) /etc/systemd/system/icinga2.service.d/limits.conf
/usr/sbin/rcicinga2
/usr/share/fillup-templates/sysconfig.icinga2

/usr/sbin/icinga2

%dir /usr/lib//icinga2
/usr/lib//icinga2/prepare-dirs
/usr/lib//icinga2/safe-reload

%attr(0750,icinga,icinga) %dir /etc/icinga2
%attr(0750,icinga,icinga) %dir /etc/icinga2/conf.d
%attr(0750,icinga,icinga) %dir /etc/icinga2/features-available
%exclude /etc/icinga2/features-available/ido-*.conf
%attr(0750,icinga,icinga) %dir /etc/icinga2/features-enabled
%attr(0750,icinga,icinga) %dir /etc/icinga2/scripts
%attr(0750,icinga,icinga) %dir /etc/icinga2/zones.d
%config(noreplace) %attr(0640,icinga,icinga) /etc/icinga2/icinga2.conf
%config(noreplace) %attr(0640,icinga,icinga) /etc/icinga2/constants.conf
%config(noreplace) %attr(0640,icinga,icinga) /etc/icinga2/zones.conf
%config(noreplace) %attr(0640,icinga,icinga) /etc/icinga2/conf.d/*.conf
%config(noreplace) %attr(0640,icinga,icinga) /etc/icinga2/features-available/*.conf
%config(noreplace) %attr(0640,icinga,icinga) /etc/icinga2/zones.d/*
%config(noreplace) /etc/icinga2/scripts/*

%attr(0750,icinga,icingacmd) /var/cache/icinga2
%attr(0750,icinga,icingacmd) %dir /var/log/icinga2
%attr(0750,icinga,icinga) %dir /var/log/icinga2/crash
%attr(0750,icinga,icingacmd) %dir /var/log/icinga2/compat
%attr(0750,icinga,icingacmd) %dir /var/log/icinga2/compat/archives
%attr(0750,icinga,icinga) /var/lib/icinga2
%attr(0750,icinga,icingacmd) %ghost %dir /run/icinga2
%attr(2750,icinga,icingacmd) %ghost /run/icinga2/cmd
%attr(0750,icinga,icinga) %dir /var/spool/icinga2
%attr(0770,icinga,icinga) %dir /var/spool/icinga2/perfdata
%attr(0750,icinga,icinga) %dir /var/spool/icinga2/tmp

%files bin
%defattr(-,root,root,-)
%doc COPYING README.md NEWS AUTHORS CHANGELOG.md
%dir /usr/lib64/icinga2
%dir /usr/lib64/icinga2/sbin
/usr/lib64/icinga2/sbin/icinga2
/usr/lib//nagios/plugins/check_nscp_api
/usr/share/icinga2
%exclude /usr/share/icinga2/include
/usr/share/man/man8/icinga2.8.gz

%files common
%defattr(-,root,root,-)
%doc COPYING README.md NEWS AUTHORS CHANGELOG.md tools/syntax
/etc/bash_completion.d/icinga2
%attr(0750,icinga,icinga) %dir /usr/share/icinga2/include
/usr/share/icinga2/include/*

%files doc
%defattr(-,root,root,-)
/usr/share/doc/icinga2
%docdir /usr/share/doc/icinga2

%files ido-mysql
%defattr(-,root,root,-)
%doc COPYING README.md NEWS AUTHORS CHANGELOG.md
%config(noreplace) %attr(0640,icinga,icinga) /etc/icinga2/features-available/ido-mysql.conf
/usr/lib64/icinga2/libmysql_shim*
/usr/share/icinga2-ido-mysql

%files ido-pgsql
%defattr(-,root,root,-)
%doc COPYING README.md NEWS AUTHORS CHANGELOG.md
%config(noreplace) %attr(0640,icinga,icinga) /etc/icinga2/features-available/ido-pgsql.conf
/usr/lib64/icinga2/libpgsql_shim*
/usr/share/icinga2-ido-pgsql

%files -n vim-icinga2
%defattr(-,root,root,-)
/usr/share/vim/site/syntax/icinga2.vim
/usr/share/vim/site/ftdetect/icinga2.vim

%files -n nano-icinga2
%defattr(-,root,root,-)
%dir /usr/share/nano
/usr/share/nano/icinga2.nanorc

%changelog
* Fri Jul 14 2023 Icinga GmbH <info@icinga.com> - 2.14.0+8.ge3cca711e-1689372210
- Version 2.14.0+8.ge3cca711e-1689372210

